2019-10-17 00:02 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001046FSSCPmultiplayerpublic2007-10-17 21:27
Reportermartellato 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindows XPOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001046: Can't run debug executable with -standalone
DescriptionThe debug execubable crashes while validating missions, if running in standalone mode.

An "Assertion Failed!" error message appeared, with Ok/Cancel buttons:
Assert: bm_bitmaps[bitmapnum].handle == handle
File: c:\temp\fs2_open_3_6_9.t\code\bmpman\bmpman.cpp
Line: 1924
...The attached "Assertion-Failed.txt" contains the full-text of the error message.
Steps To Reproduce1. Command line args:
fs2_open_3_6_9_debug.exe -standalone -multilog
Additional Information-fs2netd (66.25.7.198) was online
-Crashed while a pop-up window displayed the message "Querying FS2NetD"
TagsNo tags attached.
Attached Files
  • txt file icon Assertion-Failed.txt (681 bytes) 2006-09-14 20:25 -
    Assert: bm_bitmaps[bitmapnum].handle == handle
    File: c:\temp\fs2_open_3_6_9.t\code\bmpman\bmpman.cpp
    Line: 1924
    [This filename points to the location of a file on the computer that built this executable]
    
    Call stack:
    ------------------------------------------------------------------
        multi_update_validate_missions_DrawString()    multi_update_valid_missions()    multi_create_list_load_missions()    standalone_main_init()    game_enter_state()    gameseq_set_state()    game_process_event()    gameseq_process_events()    game_main()    WinMain()    WinMainCRTStartup()    kernel32.dll 7c816fd7()
    ------------------------------------------------------------------
    
    
    txt file icon Assertion-Failed.txt (681 bytes) 2006-09-14 20:25 +
  • log file icon fs.log (2,180 bytes) 2006-09-14 20:25
  • log file icon multi.log (1,898 bytes) 2006-09-14 20:26
  • ? file icon tvalid.cfg (948 bytes) 2006-09-14 20:26
  • txt file icon clipboard_rc7dot7_debug.txt (685 bytes) 2006-09-25 01:59 -
    Assert: bm_bitmaps[bitmapnum].handle == handle
    File: c:\temp\fs2_open_3_6_9.multi\code\bmpman\bmpman.cpp
    Line: 1928
    [This filename points to the location of a file on the computer that built this executable]
    
    Call stack:
    ------------------------------------------------------------------
        multi_update_validate_missions_DrawString()    multi_update_valid_missions()    multi_create_list_load_missions()    standalone_main_init()    game_enter_state()    gameseq_set_state()    game_process_event()    gameseq_process_events()    game_main()    WinMain()    WinMainCRTStartup()    kernel32.dll 7c816fd7()
    ------------------------------------------------------------------
    
    
    txt file icon clipboard_rc7dot7_debug.txt (685 bytes) 2006-09-25 01:59 +
  • log file icon fs_rc7dot7_debug.log (2,293 bytes) 2006-09-25 01:59
  • log file icon multi_rc7dot7_debug.log (1,898 bytes) 2006-09-25 02:00
  • ? file icon tvalid_rc7dot7_debug.cfg (948 bytes) 2006-09-25 02:01
  • rar file icon P3-8661-10-06-06a.rar (253,090 bytes) 2006-10-06 19:48
  • rar file icon P3-866-10-06-06b.rar (250,012 bytes) 2006-10-06 20:01
  • rar file icon Media-10-06-06b.rar (26,517 bytes) 2006-10-06 20:10
  • zip file icon mart-10-06-06 19.48.zip (34,942 bytes) 2006-10-06 20:23

-Relationships
+Relationships

-Notes

~0006628

martellato (reporter)

My FS2 Setup

* Retail Installation: FreeSpace 2 with 1.2 Patch
* fs2_open setup: 3.6.9 RC7.
* Launcher: v5.4.
* MediaVPs: "OFF" - No mods
* Graphics Card: nVidia GeForce FX 5200

~0006645

taylor (administrator)

I have numerous standalone fixes setting in my local code tree at the moment. It's not enough of them to commit yet, but both karajorma and myself are working on the problems with standalone (it's been broken a very long time).

~0006648

martellato (reporter)

Thanks Taylor... obviously you guys are well aware of the issues.

Well, if you happen to have a version that has a number of these fixes in it and is generally compatible if 3.6.9 RC7, I'd be happy to test it out and report back. I've been planning on running a standalone server while my desktop's idle. May as well help test out the new code while I'm running it.

~0006718

taylor (administrator)

Probably should post this here too, just in case the two reported bugs aren't actually connected...

This should have fixes for all of the bmpman related issues that I know of:
http://icculus.org/~taylor/fso/testing/rc7dot7.rar

~0006721

martellato (reporter)

Thanks bud, excited to test dot7 out. Unforunately, for this particular bug, still getting an assert failure with the debug exe -standalone -multilog.
I'm attaching the related files.

But rc7dot7 definitely fixed 0001065. And I'm looking forward to getting back to you on how this helps with 0001067 - I just need to find a friend willing to test this out with me. :)
Just fyi, rc7dot7 did not seem to fix 0001066, but that's probably because you didn't commit that particular fix into this build. I'm not worried, just thought I'd mention it.

Thanks for all of this crazy work you've been doing. It seems like you've be responding to my inquiries, suggestions, and ramblings non-stop this past week. I hope I'm not your worst friggin' nightmare. :)

~0006722

taylor (administrator)

Crap. The fix for 0001066 is in there, but I broke something else in the process, which ending up breaking the fix for 1066, and I didn't test it again. :(

I just happened to make the dumb mistake of creatively trying to fix something that wasn't really broken in the first place. ;) Oh well, it will be re-fixed for dot8 (which will be more bug-fix testing in a few days, depending on how many new issues you find).


For this bug however, I did find the problem. It was just that a variable wasn't initialized properly. I did test my bmpman fixes a little, but when I tried to recreate this again I realized that I had never turned on fs2netd support for the Windows build. :) The fix will be in dot8.

Also, if you notice an Assert() regarding shockwaves (from shockwave_level_close()), just know that I found and fixed that one as well.

~0006728

martellato (reporter)

No worries man, I've been there. :)

And I'm glad that you're finding the tricky little buggers in the standalone.

Just fyi.. I was hoping to be able to do some tests this evening (er, Monday evening), but I got home late. I'm hoping that I'll be able to get back to you with some server-client tests with dot7 by Wednesday evening. If not, then it's likely that I won't be getting back to you until next week. Just wanted to let you know so you're not suprised when I drop off the side of the Earth in the middle of the week. :)

...I just realized that this bug note has absolutely no information in it at all. Sorry. :)

~0006752

taylor (administrator)

This should get you a bit further into testing...
http://icculus.org/~taylor/fso/testing/rc7dot8.rar

~0006818

taylor (administrator)

* BUMP *

Any update as to whether or not all of this is fixed?

I know that there are still other issues, but if the bitmap related problems are fixed then I can go ahead and resolve this bug at least.

~0006823

martellato (reporter)

Well, the debug dot8 definitely avoids any assertion failures when initializing.

I haven't had any good testing scenarios where clients actually tried a mission on my server... most hop onto my standalone for a few minutes, and while waiting for others to join, get bored and leave.

So, while I haven't run a dot8 standalone (regular or debug) that actually served a game to clients, I can still say that I haven't experienced any crashes or errors (ignoring the odd pinging issue in 0001083) within regular and debug dot8 as a standalone that at most has had clients create a host, not select a mission, and quit.

If I get more info on a successful/unsuccessful client mission run, then I'll *bump* ya...

~0006826

FUBAR-BDHR (developer)

Received an assertion failed while client downloading on standalone. Yes Martellato was involved but the other guy crashed. :)

~0006827

FUBAR-BDHR (developer)

Second p3-866 file went splat at mission loading. Looks like the bug is alive and well.

~0006828

FUBAR-BDHR (developer)

Third crash different machine and OS this time. P3-866 is well a P3 866mhz running Win ME. Media is a P4 3.6ghz running XP Pro

~0006829

martellato (reporter)

...Pegging on to Fubar's note on 10-06-06 19:48...
Yup, we encountered a bug when a mission was loading. Here's the scenario...

Running dot8
Fubar: running standalone (running _debug.exe)
Mule: Host in control
Martellare: client (running regular exe)

1. Mule picked a coop [V] mission.
2. "mission loading" status screen was displayed as...

   Mule: mission loading
   nds_martel...: mission loaded

3. ...Then I crashed. Mule later said he had crashed as well.

Attached are my logs & a screen shot.

~0006910

taylor (administrator)

I'm betting that problem is related to bug 0001100 (a loading init issue where it was doing something in standalone that it wasn't supposed to do). See if it's fixed in the next build.

~0006951

taylor (administrator)

Just marking as feedback those bugs which should either be fixed in the next available build from me, or need to be tested as fixed in the next available build.

(There are so many new bugs right now, it's easier for me to keep up with the fixed or almost-fixed bugs this way.)

~0008567

taylor (administrator)

* BUMP *

Please see if it's fixed in this build:
http://www.hard-light.net/forums/index.php/topic,49939.0.html

If there is nothing reported to the contrary, I'll just assume that it was fixed (since I can't replicate it).

~0008576

taylor (administrator)

Assuming that this is:

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-09-14 20:25 martellato New Issue
2006-09-14 20:25 martellato File Added: Assertion-Failed.txt
2006-09-14 20:25 martellato File Added: fs.log
2006-09-14 20:26 martellato File Added: multi.log
2006-09-14 20:26 martellato File Added: tvalid.cfg
2006-09-14 20:28 martellato Note Added: 0006628
2006-09-18 03:45 taylor Note Added: 0006645
2006-09-18 16:20 martellato Note Added: 0006648
2006-09-24 23:14 taylor Note Added: 0006718
2006-09-25 01:59 martellato Note Added: 0006721
2006-09-25 01:59 martellato File Added: clipboard_rc7dot7_debug.txt
2006-09-25 01:59 martellato File Added: fs_rc7dot7_debug.log
2006-09-25 02:00 martellato File Added: multi_rc7dot7_debug.log
2006-09-25 02:01 martellato File Added: tvalid_rc7dot7_debug.cfg
2006-09-25 02:47 taylor Note Added: 0006722
2006-09-26 01:37 martellato Note Added: 0006728
2006-09-30 05:42 taylor Note Added: 0006752
2006-10-06 04:49 taylor Note Added: 0006818
2006-10-06 16:39 martellato Note Added: 0006823
2006-10-06 19:48 FUBAR-BDHR Note Added: 0006826
2006-10-06 19:48 FUBAR-BDHR File Added: P3-8661-10-06-06a.rar
2006-10-06 20:01 FUBAR-BDHR File Added: P3-866-10-06-06b.rar
2006-10-06 20:06 FUBAR-BDHR Note Added: 0006827
2006-10-06 20:10 FUBAR-BDHR File Added: Media-10-06-06b.rar
2006-10-06 20:11 FUBAR-BDHR Note Added: 0006828
2006-10-06 20:22 martellato Note Added: 0006829
2006-10-06 20:23 martellato File Added: mart-10-06-06 19.48.zip
2006-10-18 22:29 taylor Note Added: 0006910
2006-10-21 00:32 taylor Note Added: 0006951
2006-10-21 00:32 taylor Status assigned => feedback
2007-10-15 07:15 taylor Note Added: 0008567
2007-10-17 21:27 taylor Status feedback => resolved
2007-10-17 21:27 taylor Fixed in Version => 3.6.10
2007-10-17 21:27 taylor Resolution open => fixed
2007-10-17 21:27 taylor Note Added: 0008576
+Issue History